.container {
    margin: 0 auto;
    padding: 0 24px;
    width: 100%;
    /* max-width: 1920px; */
    /* default for large screens */
}

/* 1366px */
@media (max-width: 1366px) {
    .container {
        max-width: 1366px;
    }
}

/* 1024px */
@media (max-width: 1024px) {
    .container {
        max-width: 1024px;
    }
}

/* 768px */
@media (max-width: 768px) {
    .container {
        max-width: 768px;
    }
}

/* 480px */
@media (max-width: 480px) {
    .container {
        max-width: 480px;
        padding: 0;
    }
}

/* 345px */
@media (max-width: 364px) {
    .container {
        max-width: 364px;
    }
}


/* index responsive */
@media (max-width: 1695px) {
    #navbarsec .nav-menu {
        gap: 18px;
    }

    #primushealthlifeotosec .slider-wrapper .slider-wrapper-heading {
        font-size: 3.3rem;
    }

    #primushealthlifeotosec .slide:first-child .card {
        max-width: 564px;
        min-height: 380px;
    }

    #primuswayoflifesec .card-description {
        font-size: clamp(13px, 1rem, 15px);
        line-height: 1.6;
        padding: 0 2rem;
    }

    #activelivingofyourlifesec .header h3 {
        padding: 0 9rem;
    }
}


/* 1366px */
@media (max-width: 1366px) {
    #primuswayoflifesec .slide-group {
        gap: 20px;
    }

    #primuswayoflifesec .card-wrapper {
        gap: 15px;
    }

    #primuswayoflifesec .card-image {
        height: 360px;
    }

    #primuswayoflifesec .nav-button {
        margin-top: 0;
        transform: translateY(-50%);
    }

    #activelivingofyourlifesec .carousel-item img {
        height: 100%;
    }

    #activelivingofyourlifesec .carousel-item.active img {
        height: 340px;
    }

    #ledbypioneersec .profile-card {
        gap: 50px;
        padding: 30px;
    }

    #ledbypioneersec .profile-image img {
        width: 280px;
        /* height: 340px; */
    }

    #ledbypioneersec .profile-content h3 {
        font-size: 3rem;
    }

    #ledbypioneersec .profile-content h2 {
        font-size: 1.3rem;
    }

    #ledbypioneersec .profile-content p {
        font-size: 1rem;
    }

    #navbarsec .nav-menu {
        gap: 1rem;
    }

    #navbarsec .logo a img {
        width: 8rem;
    }

    #navbarsec .nav-menu li a {
        font-size: 1.1rem;
    }

    .primary-heading-font {
        font-size: 64px;
    }

    #ledbypioneersec .profile-content {
        max-width: 600px;
    }

    #primushealthlifeotosec .card {
        min-width: 150px;
        max-width: 280px;
        min-height: 380px;
    }

    #primushealthlifeotosec .cards-container {
        gap: 15px;
    }

    #primushealthlifeotosec .slide:first-child .card {
        max-width: 550px;
        min-height: 380px;
    }

    #primushealthlifeotosec .slider-wrapper .slider-wrapper-heading {
        font-size: 3rem;
        line-height: 69px;
    }

    #activelivingofyourlifesec .carousel-item.active img {
        height: 100%;
    }

    #exploreourcommunitiessec .tabs {
        padding: 0 4rem;
    }

    #exploreourcommunitiessec .tab {
        padding: 14px 30px;
        font-size: 0.95rem;
    }

    #primusdifftoldresisec h3 {
        font-size: 55px;
    }

    #hero-section-scroll .video-text {
        font-size: 3.2rem;
    }

    #hero-section-scroll .side-panel h3 {
        font-size: 2rem;
    }

    #primushealthlifeotosec .card-top h3 {
        min-height: 3rem;
    }

    #builtontrustbackedbyproofsec .stat-number {
        font-size: 1.5rem;
    }

    #builtontrustbackedbyproofsec .stat-label {
        font-size: 1rem;
    }

    #primussupportdivisionsec .card {
        max-width: 29rem;
    }

    #primussupportdivisionsec .name {
        padding-right: 18rem;
    }

}

@media (max-width: 1320px) {
    #primussupportdivisionsec .company-logo img {
        width: 18rem;
    }

    #primushealthlifeotosec .slide:first-child .card {
        max-width: 550px;
        min-height: 380px;
    }

    #primushealthlifeotosec .slider-wrapper .slider-wrapper-heading {
        padding-inline: 13rem;
    }

    #primuswayoflifesec .card-description {
        font-size: clamp(13px, 1rem, 14px);
        padding: 0 0.8rem;
    }

    .primary-heading-font {
        font-size: 55px;
    }

    #activelivingofyourlifesec .header h3 {
        padding: 0 6rem;
    }

    .primary-heading-font {
        font-size: 53px;
    }
}

/* 1024px */
@media (max-width: 1024px) {
    #primuswayoflifesec .nav-button {
        width: 50px;
        height: 50px;
        font-size: 20px;
    }

    #primuswayoflifesec .slider-wrapper {
        gap: 20px;
    }

    #builtontrustbackedbyproofsec .container {
        flex-direction: column;
        gap: 40px;
    }

    #builtontrustbackedbyproofsec .main-heading {
        font-size: 2.8rem;
    }

    #ledbypioneersec .profile-card {
        gap: 40px;
        padding: 30px 20px;
    }

    #ledbypioneersec .profile-image img {
        width: 240px;
        height: 300px;
    }

    #ledbypioneersec .profile-content h3 {
        font-size: 2.5rem;
    }

    #ledbypioneersec .profile-content h2 {
        font-size: 1.2rem;
        margin-bottom: 20px;
    }

    #ledbypioneersec .profile-content p {
        font-size: 0.95rem;
        margin-bottom: 18px;
    }

    #exploreourcommunitiessec .tabs {
        padding: 0 2rem;
        gap: 15px;
    }

    #exploreourcommunitiessec .tab {
        padding: 14px 25px;
        font-size: 0.95rem;
    }

    #exploreourcommunitiessec .property-card {
        gap: 30px;
    }

    #primussupportdivisionsec .cards-wrapper {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 8rem;
    }

    #primushealthlifeotosec .slider-wrapper .slider-wrapper-heading {
        padding-inline: 6rem;
        margin-top: 2rem;
    }

    #primuswayoflifesec .card-description {
        padding: 0 1rem;
    }

    #primuswayoflifesec .card-image {
        height: 260px;
    }

    #primusgallerydesignsec .panel-overlay {
        padding: 20px;
    }

    #activelivingofyourlifesec .header h3 {
        padding: 0 7rem;
    }

    #exploreourcommunitiessec .content-area {
        min-height: 250px;
    }

    #primusdifftoldresisec .primus-slide {
        gap: 1rem;
    }

    #ledbypioneersec {
        min-height: 0;
    }

    #primusdifftoldresisec {
        min-height: 0;
    }

    #primusdifftoldresisec {
        padding: 4rem 0;
    }

    .primusdifferencecdiv {
        padding: 2rem 3rem;
        gap: 3rem;
        border-radius: 2rem;
    }

    .primusdifferencecdivtext p {
        font-family: var(--primary-heading-font);
        font-size: 18px;
        line-height: 20px;
        margin-bottom: 1rem;
    }

    .primusdifferencecdivimg img {
        width: 11rem;
    }

    #navbarsec .navbar {
        padding: 0 1rem;
        width: 94vw;
        margin: 0 auto;
    }

    #navbarsec .logo a img {
        width: 7rem;
    }

    #navbarsec .nav-menu li a {
        font-size: 1rem;
        font-weight: 500;
    }

    #hero-section-scroll .video-text {
        font-size: 2.5rem;
        left: 24px;
    }

    #hero-section-scroll .side-panel h3 {
        font-size: 1.3rem;
    }

    #primushealthlifeotosec {
        font-family: var(--primary-heading-font);
        padding: 0;
    }

    #primushealthlifeotosec .cards-container {
        padding: 1rem;
    }

    #hero-section-scroll .side-panel h3 {
        left: 24px;
    }

    #navbarsec .navbar-wrapper {
        padding: 21px 11px;
    }

    #navbarsec .nav-menu {
        gap: 14px;
    }

    #navbarsec .enquiry-btn {
        padding: 6px 10px;
    }

    #primushealthlifeotosec .card-top h3 {
        min-height: 5rem;
    }

    #primusprideranksec .award-info-content-box {
        min-height: 8rem;
    }

    #primussupportdivisionsec .card {
        width: 30rem;
    }

    #builtontrustbackedbyproofsec .left-side img {
        max-width: 88%;
    }

    #primussupportdivisionsec .company-logo-gruhas img {
        width: 7rem;
    }

    #primussupportdivisionsec .name {
        padding-right: 14rem;
    }

    #navbarsec .navbar.sticky {
        height: 64px;
    }
}

/* 768px */
@media (max-width: 768px) {
    #activelivingofyourlifesec .carousel-wrapper {
        padding: 0 60px;
    }

    #primusHero .ph-section {
        margin-top: 4rem;
    }

    #activelivingofyourlifesec .carousel-track {
        gap: 20px;
    }

    #activelivingofyourlifesec .carousel-item img {
        height: 200px;
    }

    #activelivingofyourlifesec .carousel-item.active img {
        height: 280px;
    }

    #activelivingofyourlifesec .arrow {
        width: 40px;
        height: 40px;
        font-size: 20px;
    }

    #exploreourcommunitiessec h3 {
        font-size: 2rem;
    }

    #exploreourcommunitiessec .tabs {
        flex-direction: row;
        padding: 0;
    }

    #exploreourcommunitiessec .tab {
        width: 100%;
        text-align: left;
    }

    #exploreourcommunitiessec .property-card {
        flex-direction: column;
        text-align: center;
    }

    #exploreourcommunitiessec .property-details {
        padding: 0;
    }

    .layout-container {
        width: 100%;
        height: 100vh;
        padding: 20px;
        /* Reference images jaisi side padding */
    }

    .video-box,
    .side-panel {
        position: absolute;
        width: calc(100% - 40px) !important;
        height: 80vh;
        border-radius: 30px !important;
        /* Rounded corners */
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .side-panel {
        transform: translate(-50%, 100vh);
    }

    .video-text {
        font-size: 1.6rem;
        left: 30px;
        bottom: 40px;
    }

    #ledbypioneersec .profile-card {
        gap: 24px;
        flex-direction: column-reverse;
    }

    #primusdifftoldresisec .primus-slide {
        flex-direction: column;
    }

    #primusdifftoldresisec h3 {
        font-size: 36px;
    }

    .primusdifferencecdiv {
        padding: 2rem 3rem;
        gap: 3rem;
        border-radius: 2rem;
        flex-direction: column;
        text-align: center;
    }

    #footersec .mainfootercontup {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 2.5rem 1.5rem 1.5rem;
        gap: 2rem;
    }

    #footersec .footer-logo-sec img {
        padding-left: 0;
        width: 14rem;
    }

    #footersec .footer-policy-sec,
    #footersec .footer-about-us {
        width: 100%;
        display: flex;
        justify-content: space-between;
    }

    #footersec .footer-policy-sec ul li a,
    #footersec .footer-about-us ul li a {
        font-size: 18px;
        line-height: 38px;
    }

    #footersec .footer-social-media {
        padding-right: 0;
        justify-content: center;
        margin-top: 1rem;
        gap: 1.2rem;
    }

    #footersec .footer-social-media i {
        font-size: 1.8rem;
    }

    #footersec .mainfootercontdown p {
        font-size: 14px;
    }

    #primusSupportMobSec .content h3 {
        font-size: 1rem;
        font-weight: 500;
    }

    #exploreourcommunitiessec .tab {
        width: 50%;
    }
}


/* 664px */
@media (max-width: 664px) {
    #activelivingofMobSec .slide.center {
        left: 50%;
        transform: translateX(-50%) scale(1);
        width: 200px;
        height: 350px;
        opacity: 1;
        z-index: 10;
    }

    #activelivingofMobSec .container {
        padding: 0;
    }

    #primusdifftoldresisec .primus-left-arrow img {
        width: 3rem;
    }

    #primusdifftoldresisec .primus-arrow img {
        width: 2rem;
    }

    #primusdifftoldresisec .primus-slider-wrapper {
        gap: 0;
    }
}

/* 550px */
@media (max-width: 550px) {
    #activelivingofMobSec .slide {
        width: 148px;
        height: 250px;
    }

    .primusdifferenceccont {
        padding: 2rem 0rem;
    }

    #builtontrustbackedbyproofsec .container {
        padding: 60px 16px;
    }
}

/* 480px */
@media (max-width: 480px) {
    #exploreourcommunitiessec {
        padding: 30px 15px;
    }

    #exploreourcommunitiessec h3 {
        font-size: 1.7rem;
        margin-bottom: 25px;
    }

    #exploreourcommunitiessec .content-area {
        padding: 25px 20px;
    }

    #exploreourcommunitiessec .tab {
        font-size: 0.9rem;
        padding: 12px 20px;
    }

    #exploreourcommunitiessec .property-details h2 {
        font-size: 1.6rem;
    }

    #activelivingofMobSec .slide {
        width: 118px;
        height: 250px;
    }

    #activelivingofMobSec .slide.center {
        width: 185px;
        height: 300px;
    }

    #primusdifftoldresisec .primus-arrow {
        margin: 1rem;
    }

    #primushealthMobsec .slide {
        padding: 0;
    }

    #primushealthMobsec .column-content {
        padding: 14px 15px;
    }

    #primushealthMobsec .slide {
        padding: 40px 0px;
    }

    #primushealthMobsec .column-content h3 {
        font-size: 1em;
    }

    #primushealthMobsec .column-content li {

        padding-left: 12px;
        font-size: 0.8em;
    }

    #primushealthMobsec .main-heading {
        font-size: 1.5rem;
    }

    #primushealthMobsec .slide-subtext {
        font-size: 0.7rem;
    }

    #primusHero .ph-overlay-text {
        font-size: 1.5rem;
        line-height: 1.3;
        max-width: 80%;
    }

    #primusHero .ph-dynamic-text {
        font-size: 2rem;
        line-height: 1.3;
        max-width: 80%;
    }

    #primushealthMobsec {
        margin: 0 3.5rem;
    }

    #primusdifftoldresisec h3 {
        font-size: 24px;
    }

    #builtontrustbackedbyproofsec .main-heading {
        font-size: 2rem;
    }

    .secitemdivthree {
        width: 96%;
    }

    #primushealthMobsec .slide {
        padding: 0;
    }

    #primushealthMobsec .slide-heading {
        font-size: 1.2em;
    }

    #primuswayofMobSec .content h2 {
        font-size: 1.4rem;
    }
}

/* 345px */
@media (max-width: 364px) {
    #exploreourcommunitiessec h3 {
        font-size: 1.5rem;
    }

    #exploreourcommunitiessec .tab {
        font-size: 0.85rem;
        padding: 10px 15px;
    }

    #exploreourcommunitiessec .know-more-btn {
        width: 100%;
        padding: 12px;
    }

    #primushealthMobsec .column-content {
        padding: 5px;
    }

    #primushealthMobsec .icon-box div img {
        width: 2.5rem;
    }

    #primushealthMobsec .left-column {
        min-width: 48%;
        flex: 1;
    }

    #primushealthMobsec .main-heading {
        font-size: 1.2rem;
    }

    #primusgalleryMobSec .card-content {
        padding: 24px;
    }
}

@media screen and (min-width: 768px) {

    #primushealthMobsec,
    #primuswayofMobSec,
    #activelivingofMobSec,
    #herolifestyMobsec,
    #corelivingservicesMobsec {
        display: none;
    }
}

@media(max-width:992px) {
    #primussupportdivisionsec .card {
        width: 100%;
    }
}

@media(max-width:768px) {
    #exploreourcommunitiessec .tab {
        width: 50%;
        font-size: 13px !important;
        text-align: center;
        padding: 10px !important;
    }
}